nfsoftf_plan_ Struct Reference
Collaboration diagram for nfsoftf_plan_:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftwf_complex * | f_hat
| Fourier coefficients. More...
fftwf_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
float * | x
| input nodes
fftwf_complex * | wig_coeffs
| deprecated variable
fftwf_complex * | cheby
| deprecated variable
fftwf_complex * | aux
| deprecated variable
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfftf_plan | p_nfft
| the internal NFFT plan
fptf_set * | internal_fpt_set
| the internal FPT plan
int | nthreads
| the number of threads

## Detailed Description

Definition at line 684 of file nfft3.h.

## Field Documentation

NFFT_INT nfsoftf_plan_::N_total

Total number of Fourier coefficients.

Definition at line 684 of file nfft3.h.

NFFT_INT nfsoftf_plan_::M_total

Total number of samples.

Definition at line 684 of file nfft3.h.

fftwf_complex* nfsoftf_plan_::f_hat

Fourier coefficients.

Definition at line 684 of file nfft3.h.

fftwf_complex* nfsoftf_plan_::f

Samples.

Definition at line 684 of file nfft3.h.

void(* nfsoftf_plan_::mv_trafo) (void *)

Transform.

Definition at line 684 of file nfft3.h.

void(* nfsoftf_plan_::mv_adjoint) (void *)

Adjoint transform.

Definition at line 684 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h